<ion-app>
  <ion-split-pane contentId="main-content">
    <ion-menu contentId="main-content">
<!--      type="overlay"-->
      <ion-content>
        <ion-list id="inbox-list">

          <ion-menu-toggle auto-hide="false"  *ngIf ="logged == true">
            <ion-item  lines="none" detail="false" routerLinkActive="selected">
              <ion-avatar slot="start">
                <img src="../assets/icon/avatar.svg">
              </ion-avatar>
              <ion-label>
                <h2>Lorem ipsum</h2>
                <p>dolor sit amet</p>
              </ion-label>
            </ion-item>
          </ion-menu-toggle>

          <br >
          <ion-menu-toggle auto-hide="false" *ngFor="let p of appPages; let i = index">
            <ion-item  [routerLink]="[p.url]" lines="none" detail="false" routerLinkActive="selected">
              <ion-icon slot="start" [ios]="p.icon + '-outline'" [md]="p.icon + '-sharp'"></ion-icon>
              <ion-label>{{ p.title | translate }}</ion-label>
            </ion-item>
          </ion-menu-toggle>
          <br><br>
          <ion-menu-toggle auto-hide="false" >
            <ion-item routerDirection="root" lines="none" detail="false" routerLinkActive="selected">

              <ion-icon slot="start" name="logo-facebook"></ion-icon>
              <ion-icon slot="start" name="logo-instagram"></ion-icon>
              <ion-icon slot="start" name="logo-twitter"></ion-icon>
              <ion-icon slot="start" name="logo-linkedin"></ion-icon>
            </ion-item>
            <br>
            <ion-item *ngIf ="logged == true" lines="none" detail="false" routerLinkActive="selected" (click)="logout()">
              <ion-icon slot="start" [ios]="'log-out-outline'" [md]="'log-out-sharp'"></ion-icon>
              <ion-label>{{'deconnexion' |translate}}</ion-label>
            </ion-item>
            <ion-item *ngIf ="logged == false" lines="none" detail="false" routerLink="/login">
              <ion-icon slot="start" [ios]="'log-in-outline'" [md]="'log-in-sharp'"></ion-icon>
              <ion-label>{{'connexion' | translate}}</ion-label>
            </ion-item>
          </ion-menu-toggle>
        </ion-list>


      </ion-content>
    </ion-menu>
  <ion-router-outlet id="main-content"></ion-router-outlet>
  </ion-split-pane>
</ion-app>
